Dialect resolver should use a newer Oracle dialect for Oracle 12

Description

Dialect for oracle12c isn't automatically detected.

StandardDialectResolver.java

Environment

None

Activity

Show:
Brett Meyer
April 7, 2014, 2:41 PM

created Oracle12cDialect in ORM 5, so this fix affects 4 only.

Brett Meyer
April 7, 2014, 2:37 PM

Re-opening – we should at least resolve version 12 to Oracle10gDialect

Brett Meyer
April 7, 2014, 2:32 PM

Rejecting – Oracle 12c was added to ORM 5, not 4.

Fixed

Assignee

Brett Meyer

Reporter

Martin Simka

Fix versions

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Components

Affects versions

Priority

Major